package fxTavaranPaikka;

import fi.jyu.mit.fxgui.ModalController;
//import fi.jyu.mit.fxgui.ModalControllerInterface;
import javafx.fxml.FXML;
import javafx.scene.layout.GridPane;

import java.net.URL;

import fi.jyu.mit.fxgui.Dialogs;


/**
 * @author lpjsilve, alilakj
 * @version 15.2.2024
 * Ohjelman pääkontrolleri.
 */
public class TavaranPaikkaGUIController {
    @FXML private GridPane GridPaneTavaranTiedot;
    
    @FXML void onActionTallenna() {
        tallenna();
    }
    
    //Sekä menu -toiminto, että Lisää tavara -painike
    @FXML void onActionLisaaTavara() {
        avaaUusiTavara();
    }

    @FXML void onActionMuokkaaTavaraa() {
        avaaMuokkaaIkkuna();
    }
    
    @FXML void onActionNaytaSisalto() {
        avaaSisalto();
    }
    
    

    /**************Toteutukset****************/
    
    
    /**
     * Tietojen tallennus, ei vielä toimiva.
     */
    public static void tallenna() {
        Dialogs.showMessageDialog("Tallennetetaan! Mutta ei toimi vielä");
    }
    
    
    /**
     * Toteutetaan Lisää tavara-painikkeen toiminta 
     * (ja uuden tavaran ikkunan avaaminen muillekin),
     * eli avataan modaalisena ikkunanan suunniteltu 
     * tyhjä ikkuna tavaran tietojen täyttämiseksi.
     */
    public static void avaaUusiTavara() {
        URL url = TavaranLisaysGUIController.class.getResource("TavaraLisaysGuiView.fxml");
        ModalController.showModal(url, null, null, null);
    }
    
    
    /**
     * Toteutetaan Muokkaa Tavaraa -menuvalinnan toiminta,
     * eli avataan modaalinen ikkuna, jossa valitun tavaran tiedot
     * täytettynä.
     */
    public void avaaMuokkaaIkkuna() {
        // Täydennä toimimaan: tietojen haku GridPane -komponentista ja aseta ne lähtötiedoiksi, 
        //String alkupTiedot = GridPaneTavaranTiedot.getAccessibleText();
        //System.out.println(alkupTiedot);
        
        URL url = TavaranLisaysGUIController.class.getResource("TavaraLisaysGuiView.fxml");
        ModalController.showModal(url, null, null, null);
    }
    
    
    /**
     * Toteutetaan Näytä Sisältö-painikkeen toiminta,
     * eli avataan modaalisena ikkunana suunniteltu sisältöikkuna.
     */
    private void avaaSisalto() {
        URL url = TavaranSisaltoGUIController.class.getResource("TavaranSisaltoGUIView.fxml");
        ModalController.showModal(url, null, null, null);
        
    }    
    
    

}

